CREATE FUNCTION div_time(@time1 CHAR(5), @time2 CHAR(5)) RETURNS INT
AS
BEGIN
	DECLARE @timeInt1 INT;
	DECLARE @timeInt2 INT;

	SET @timeInt1 = dbo.change_time_to_minutes(CONVERT(TIME, @time1));
	SET @timeInt2 = dbo.change_time_to_minutes(CONVERT(TIME, @time2));

	RETURN ABS(@timeInt1 - @timeInt2);
END;

drop function div_time;
